% Copyright (C) Emily Stephen 2014
function SNDFout = averageRegions(SNDFin,regions)

SNDFout = SNDFin;

SNDFout.ChLbl = {regions(:).name};

nR = length(regions);

if isfield(SNDFout,'SampValues'),
    % CNT
    [T,~] = size(SNDFin.SampValues);
    data = nan(T,nR);
    for r=1:nR,
        [~,ichlbl,~] = intersect(SNDFin.ChLbl,regions(r).electrodes);
        data(:,r) = mean(SNDFin.SampValues(:,ichlbl),2);
    end
    SNDFout.SampValues = data;
else
    % DSC
    [ntrials,T,~] = size(SNDFin.SegValues);
    data = nan(ntrials,T,nR);
    for r=1:nR,
        [~,ichlbl,~] = intersect(SNDFin.ChLbl,regions(r).electrodes);
        data(:,:,r) = mean(SNDFin.SegValues(:,:,ichlbl),3);
    end
    SNDFout.SegValues = data;
end

% Add a Log entry
pos=size(SNDFout.Log,1)+1;
SNDFout.Log{pos,1}=mfilename;
SNDFout.Log{pos,2}=datestr(clock);
SNDFout.Log{pos,3}=['Regions: ' [regions(:).name]];

