% Copyright (C) Emily Stephen 2014
function [ba_agg_ecog ba_bsecog names Nwin nnets] = ba_setup(dsc_utterances,dsc_silences,cnt,N,silence_buffer_s,ba_trial_s)

%% Before/After 
nnets = 2;

before_ecog = permute(dsc_utterances.SegValues(:,dsc_utterances.SegMask<0,:),[2 3 1]);
after_ecog = permute(dsc_utterances.SegValues(:,dsc_utterances.SegMask>0,:),[2 3 1]);
Nwin = size(before_ecog,1);

% data for bootstrap
[ba_bsecog,ba_Nstrials] = find_silent_trials(dsc_silences,cnt,Nwin,N,silence_buffer_s);
disp(['   Number of silent trials for before/after bootstrap: ' num2str(ba_Nstrials)])

% data for networks
ba_agg_ecog = {before_ecog;after_ecog};
names = {[num2str(ba_trial_s) 's before'], [num2str(ba_trial_s) 's after']};

% subtract off time mean
for i=1:nnets,
    ba_agg_ecog{i} = bsxfun(@minus,ba_agg_ecog{i},mean(ba_agg_ecog{i},1)); %Remove the time mean.
end
ba_bsecog = bsxfun(@minus,ba_bsecog,mean(ba_bsecog,1)); %Remove the time mean.


