% Copyright (C) Emily Stephen 2014
% Apply function to cc matrix
function [xhat,lag0] = corr_applyFncStatistic(cc_cell,fncStatistic,blnCellOutput,maxLags)

nnets = length(cc_cell);
N = size(cc_cell{1},1);

if blnCellOutput,
    xhat = cell(nnets,1);
else
    xhat = nan(nnets,N,N);    
end
if nargout>1,
    lag0 = cell(1,nnets);
end

for i=1:nnets,
    cc = cc_cell{i};
    
    if isempty(fncStatistic),
        [m,ind] = max(abs(cc), [], 2);
        if nargout>1,
            lag0{i} = squeeze(ind - maxLags - 1); % the lag at which the max occurred ES 6/15/11
        end
    else
        m = fncStatistic(cc);
    end
    X = triu(squeeze(m),1);
    
    if blnCellOutput,
        xhat{i} = X;
    else
        xhat(i,:,:) = X;    
    end
end