% Copyright (C) Emily Stephen 2014
function [dy_agg_ecog dy_bsecog names Nwin nnets start_mask end_mask] = dy_setup(dsc_utterances,dsc_silences,cnt,N,Fs,silence_buffer_s,dy_net_binlen_s,dy_net_step)

%% Dynamic
Nwin = round(dy_net_binlen_s*Fs);

% Data for networks
% find start and end indices into the SegMask
start_mask = dsc_utterances.SegMask(1):(dy_net_step):dsc_utterances.SegMask(end);
end_mask = start_mask+Nwin-1;
completei = end_mask<=dsc_utterances.SegMask(end);
start_mask = start_mask(completei); % only use complete windows
end_mask = end_mask(completei);
[~,start_inds] = intersect(dsc_utterances.SegMask,start_mask);
[~,end_inds] = intersect(dsc_utterances.SegMask,end_mask);
if length(start_inds)~=length(start_mask) || length(end_inds)~=length(end_mask),
    error
end
nnets = length(start_inds);

% collect bin data
dy_agg_ecog = cell(nnets,1);
names = cell(1,nnets);
for i=1:nnets,
    dy_agg_ecog{i} = permute(dsc_utterances.SegValues(:,start_inds(i):end_inds(i),:),[2 3 1]);
    names{i} = [num2str(start_mask(i)/Fs*1000,3) 'ms to ' num2str(end_mask(i)/Fs*1000,3) 'ms'];
end

% Data for bootstrap
[dy_bsecog,dy_Nstrials] = find_silent_trials(dsc_silences,cnt,Nwin,N,silence_buffer_s);
disp(['   Number of silent trials for dynamic bootstrap: ' num2str(dy_Nstrials)])

% subtract off time mean
for i=1:nnets,
    dy_agg_ecog{i} = bsxfun(@minus,dy_agg_ecog{i},mean(dy_agg_ecog{i},1)); %Remove the time mean.
end
dy_bsecog = bsxfun(@minus,dy_bsecog,mean(dy_bsecog,1)); %Remove the time mean.
