% Copyright (C) Emily Stephen 2014
function agg = network_loop_rho(varargin)
    
ip = inputParser;
ip.addRequired('agg_rho',@iscell);
ip.addParamValue('blnTwoSided',false,@islogical);
ip.parse(varargin{:});

agg_rho = ip.Results.agg_rho;
blnTwoSided = ip.Results.blnTwoSided;

nnets = length(agg_rho);
nF = size(agg_rho{1},3);

agg_C = cell(nnets,nF);
agg_nedges = cell(nnets,nF);
agg_density = cell(nnets,nF);
% agg_ncomps = cell(nnets,nF);
% agg_largestcomp = cell(nnets,nF);
% agg_ntrivialcomp = cell(nnets,nF);
% parfor s = 1:nnets,
for s = 1:nnets,
    rho = agg_rho{s};
    N = size(rho,2);
    
    for f = 1:nF,
%         disp(['Net #' num2str(s) ', fi ' num2str(f)])
        
        % create network
        C = compute_FDR(rho(:,:,f),0.05,'blnTwoSided',blnTwoSided);
        
        agg_C{s,f} = C;

        % Network Measures
        % Density
        agg_nedges{s,f} = squeeze(sum(sum(C,1),2))./2;
        agg_density{s,f} = agg_nedges{s,f}./(N*(N-1)/2);

        % Components: Largest C, Number of C, Number of trivial C
%         [agg_ncomps{s,f} compassgn] = graphconncomp(sparse(C),'Directed',false);
%         compids = unique(compassgn);
%         compsizes = hist(compassgn,compids);
%         [agg_largestcomp{s,f} ] = max(compsizes);
%         agg_ntrivialcomp{s,f} = sum(compsizes==1);
    end
end

agg = struct('C',agg_C,'rho',agg_rho,...
            'nedges',agg_nedges,'density',agg_density);%,'ncomps',agg_ncomps,...
            %'largestcomp',agg_largestcomp,'ntrivialcomp',agg_ntrivialcomp);
