% Copyright (C) Emily Stephen 2014
function h = fill_ci(line_handles,x,lciY,uciY,alpha)
% fills in between lower confidence interval (lciY) and upper (uciY)
% line_handles: nlinesx1 or 1xnlines
% x: Nx1
% lciY: Nxnlines
% uciY: Nxnlines
%
% Note: I've run into problems for very small confidence intervals.  In
% this case it was helpful to multiply by e.g. 1000

hold on
nl = size(line_handles,1);
h=zeros(1,nl);
for l=1:nl,
    h(l)=fill([x; flipud(x)],[lciY(:,l); flipud(uciY(:,l))],get(line_handles(l),'Color'),'FaceAlpha',alpha,'EdgeColor','none');
end
hold off
