% Copyright (C) Emily Stephen 2014
function node_h=sndf_plotelectrodes(varargin)

ip=inputParser;
ip.addRequired('SNDFin',@isstruct);
ip.addRequired('brain',@isstruct)
ip.addRequired('blnplotall',@islogical) 
ip.addOptional('offset',[0 0 0],@isnumeric)
ip.addParamValue('bln2D',false,@islogical)
ip.addParamValue('colors',[],@isnumeric)
ip.parse(varargin{:})

SNDFin = ip.Results.SNDFin;
brain = ip.Results.brain; 
blnplotall = ip.Results.blnplotall; 
offset = ip.Results.offset;
bln2D = ip.Results.bln2D;
colors = ip.Results.colors;

electrodes = brain.tala.trielectrodes;
electrodes = electrodes + ones(size(electrodes,1),1)*offset;

good_channels = SNDFin.vars.good_channels;

if isempty(colors),
    colors = 'k';
end

node_h=sndf_scatter(electrodes(good_channels,:),'bln2D',bln2D,'colors',colors,'blnfilled',true);

if blnplotall,
    hold on
    sndf_scatter(electrodes,'bln2D',bln2D,'colors',colors,'blnfilled',false)
    hold off
    legend('Good Electrodes','All Electrodes')
end


