% Copyright (C) Emily Stephen 2014
function node_h=sndf_scatter(varargin)

ip=inputParser;
ip.addRequired('locations',@isnumeric)
ip.addParamValue('bln2D',false,@islogical)
ip.addParamValue('colors',[],@(x) isnumeric(x)||ischar(x))
ip.addParamValue('blnfilled',true,@islogical)
ip.parse(varargin{:})

locations = ip.Results.locations; 
bln2D = ip.Results.bln2D;
colors = ip.Results.colors;
blnfilled = ip.Results.blnfilled;

if isempty(colors),
    colors = 'k';
end

if blnfilled,
    if bln2D,
        node_h=scatter(locations(:,2),locations(:,3),30,colors,'filled');
    else
        node_h=scatter3(locations(:,1),locations(:,2),locations(:,3),30,colors,'filled');
    end
else
    if bln2D,
        node_h=scatter(locations(:,2),locations(:,3),30,colors);
    else
        node_h=scatter3(locations(:,1),locations(:,2),locations(:,3),30,colors);
    end
end

set(gca,'xdir','reverse')
if ~bln2D,
    set(gca,'ydir','reverse')
    set(gca,'view',[90 0])
end
