% Copyright (C) Emily Stephen 2014
function [silent_ecog,Nstrials,silent_inds] = find_silent_trials(dsc_silences,cnt,Nwin,N,silence_buffer_s)

trial_s = Nwin/cnt.SampFreq;

% find silences (given buffers)
[silenceon,silenceoff,silencedur] = dsc_utteranceSpecs(dsc_silences);

mindur = 2*silence_buffer_s + trial_s;
fragstarttimes = silenceon(silencedur>mindur)+silence_buffer_s;
fragendtimes = silenceoff(silencedur>mindur)-silence_buffer_s;
nfrags = length(fragstarttimes);

% [audiorec,wav_fs] = wavread(['/Users/Emily/Documents/BU/Guenther Lab/ECoG Project/Preprocessed Data/SUBJECT' subject '/subj' subject '_r' ecogrun '.wav']);
% figure(1)
% plot((1:length(audiorec))/wav_fs,audiorec,'k') 
% hold on
% for i = 1:nfrags,
%     line(ones(2,1)*fragstarttimes(i),ylim,'color','b')
%     line(ones(2,1)*fragendtimes(i),ylim,'color','r')
% end
% hold off

Nstrials = sum(floor((fragendtimes-fragstarttimes)/trial_s));

cntta = cnt_timeaxis(cnt);
silent_ecog = nan(Nwin,N,Nstrials);
silent_inds = zeros(size(cntta));
di = 1;
for fr=1:nfrags,
    inds = (cntta>fragstarttimes(fr))&(cntta<fragendtimes(fr));
    frag = cnt.SampValues(inds,:);
    silent_inds(inds) = 1;
    
    Nfrag = size(frag,1); % number of samples in the fragment
    winstart = 1:Nwin:(Nfrag-Nwin+1);
    nw = length(winstart); 
    for n=1:nw;
       indx = winstart(n):(winstart(n)+Nwin-1);
       silent_ecog(:,:,di) = frag(indx,:);
       di = di+1;
    end
    
end
if di-1<Nstrials,
    silent_ecog = silent_ecog(:,:,1:di-1);
end
if max(max(max(isnan(silent_ecog))))>0,
    error
end

Nstrials = size(silent_ecog,3); % just in case we miscalculated the first time
